LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Closed Thread
  Search this Thread
Old 09-05-2004, 05:43 PM   #1
ebenh
LQ Newbie
 
Registered: Aug 2004
Posts: 14

Rep: Reputation: 0
Broken apt-get


I wanted to update my version of gaim so i typed "apt-get install gaim"

Eventually during the long process the installation failed. Now I seem to have a number of depency problems.

Apt then suggested I run "apt-get -f install", so I did. Apt the outputted the following:

Quote:
root@dbox:/home/eben# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
libice6 libsm6 libx11-6 libxext6 libxi6 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxt6 libxtrap6 libxtst6 libxv1
The following NEW packages will be installed:
libice6 libsm6 libx11-6 libxext6 libxi6 libxmu6 libxmuu1 libxp6 libxpm4 libxrandr2 libxt6 libxtrap6 libxtst6 libxv1
0 packages upgraded, 14 newly installed, 0 to remove and 1048 not upgraded.
154 packages not fully installed or removed.
Need to get 0B/2812kB of archives.
After unpacking 5947kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 125900 files and directories currently installed.)
Unpacking libx11-6 (from .../libx11-6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libx11-6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/X11/locale/lib/common/ximcp.so.2', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxext6 (from .../libxext6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxext6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXext.so.6.4', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxi6 (from .../libxi6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxi6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXi.so.6.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxrandr2 (from .../libxrandr2_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxrandr2_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXrandr.so.2.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libice6 (from .../libice6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libice6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libICE.so.6.3', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libsm6 (from .../libsm6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libsm6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libSM.so.6.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxt6 (from .../libxt6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxt6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXt.so.6.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxmu6 (from .../libxmu6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxmu6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXmu.so.6.2', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxv1 (from .../libxv1_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxv1_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXv.so.1.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxmuu1 (from .../libxmuu1_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxmuu1_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXmuu.so.1.0', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxp6 (from .../libxp6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxp6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXp.so.6.2', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxpm4 (from .../libxpm4_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxpm4_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXpm.so.4.11', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxtrap6 (from .../libxtrap6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxtrap6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXTrap.so.6.4', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Unpacking libxtst6 (from .../libxtst6_4.3.0.dfsg.1-4_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libxtst6_4.3.0.dfsg.1-4_i386.deb (--unpack):
trying to overwrite `/usr/X11R6/lib/libXtst.so.6.1', which is also in package xlibs
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/libx11-6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxext6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxi6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxrandr2_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libice6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libsm6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxt6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxmu6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxv1_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxmuu1_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxp6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxpm4_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxtrap6_4.3.0.dfsg.1-4_i386.deb
/var/cache/apt/archives/libxtst6_4.3.0.dfsg.1-4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
I am still very much a newbie, what do I have to do to correct this?
 
Old 09-05-2004, 05:49 PM   #2
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,596

Rep: Reputation: 98
Re: Broken apt-get

Quote:
Originally posted by ebenh
I wanted to update my version of gaim so i typed "apt-get install gaim"

Eventually during the long process the installation failed. Now I seem to have a number of depency problems.

Apt then suggested I run "apt-get -f install", so I did. Apt the outputted the following:



I am still very much a newbie, what do I have to do to correct this?
cd /var/cache/apt/archives then dpkg -i --force-overwrite all_package_names_listed_at_the_bottom_of_error_output now dpkg --configure -a to get the packages left unconfigured. You may have to repeat the process a couple of times.
 
Old 09-08-2004, 08:45 AM   #3
delta7
LQ Newbie
 
Registered: Jun 2003
Posts: 18

Rep: Reputation: 0
Thumbs up

Hey just wanted to say thanks for that apt fix. I'm not the post starter but this help me out alot.
 
Old 09-24-2004, 10:10 AM   #4
slacard
Member
 
Registered: Sep 2003
Location: Upstate NY
Distribution: OS X, Zenwalk. Sabayon x64, Debian 4.0 x64
Posts: 93

Rep: Reputation: 15
Yes! Ditto the kudos!! This was very helpful. I had found the commands elsewhere but that post didn't include cd-ing to /var... this appears to have fixed my knoppix apt-get thank you very much!
 
Old 09-29-2004, 01:39 AM   #5
benjordan06
LQ Newbie
 
Registered: Sep 2004
Posts: 3

Rep: Reputation: 0
thanks!

Last edited by benjordan06; 12-18-2009 at 03:48 PM.
 
Old 10-10-2004, 02:11 PM   #6
stoned
LQ Newbie
 
Registered: Aug 2004
Distribution: Debian-AMD64 & Gentoo-AMD64
Posts: 9

Rep: Reputation: 0
Just another happy customer.

Thanks for the fix.
 
Old 04-21-2005, 01:32 PM   #7
DeadZed
LQ Newbie
 
Registered: Dec 2004
Location: Tallinn , Estland
Distribution: All big ones
Posts: 8

Rep: Reputation: 0
I cant believe that it worked!!!
I was gonna say goodbye to my Debian.
What does this error actually mean and what does this dpkg fix do ?
 
Old 04-21-2005, 02:28 PM   #8
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,596

Rep: Reputation: 98
Quote:
Originally posted by DeadZed
I cant believe that it worked!!!
I was gonna say goodbye to my Debian.
What does this error actually mean and what does this dpkg fix do ?
It forces the overwriting of a file that exists in another package(s) due to a packaging error. A file should only exist in one package at a time and every now and again someone makes a mistake and includes it two or more packages, therefore you need to use the --force-overwrite to get by it and install the new package(s).
 
Old 04-21-2006, 07:12 PM   #9
bmike1
Member
 
Registered: Jul 2003
Posts: 132

Rep: Reputation: 15
Angry I so wish

I keep getting the broken pipes and I wrote the solution down..... I wish I would remember to check my cards when I get that error again!
 
Old 10-14-2011, 10:01 PM   #10
bangshws
LQ Newbie
 
Registered: Oct 2011
Posts: 9

Rep: Reputation: Disabled
Thanks so much! This is a long time ago post but really helpful! Thanks bros!
 
Old 10-14-2011, 11:00 PM   #11
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,596

Rep: Reputation: 98
Quote:
Originally Posted by bangshws View Post
Thanks so much! This is a long time ago post but really helpful! Thanks bros!
Your welcome good to see it still being useful to people in this situation.
 
Old 10-15-2011, 08:37 PM   #12
bangshws
LQ Newbie
 
Registered: Oct 2011
Posts: 9

Rep: Reputation: Disabled
Quote:
Originally Posted by HappyTux View Post
Your welcome good to see it still being useful to people in this situation.
Sure, it's really helpful! I nearly came to the point to re-install my system but so happy to see this! You saved my life!
 
Old 04-11-2012, 01:36 PM   #13
Basimoooo777
LQ Newbie
 
Registered: Jan 2012
Posts: 2

Rep: Reputation: Disabled
Thanks

It's helpful till now really Thank You very much. In the beginning I guess it's from the update to Ubuntu 12.04 but now I'm relaxed.
 
  


Closed Thread


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
apt-get is broken irvken Linux - Software 3 12-12-2004 05:18 AM
apt-get seems broken jon_k Linux - Software 1 12-09-2004 07:20 PM
apt-get broken? limiter Linux - Software 4 03-21-2004 06:26 PM
apt-get is broken, please help! agentforsythe Linux - General 3 01-12-2004 04:24 AM
broken apt-get mindcry Linux - Software 0 05-24-2003 10:55 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 03:30 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration